Class | Spec::Runner::DrbCommandLine
In: | lib/spec/runner/drb_command_line.rb
Parent: | Object

Facade to run specs by connecting to a DRB server

### Methods

run

### Public Class methods

run(options)

Runs specs on a DRB server. Note that this API is similar to that of CommandLine - making it possible for clients to use both interchangeably.

[Source]

        # File lib/spec/runner/drb_command_line.rb, line 9
     9:       def self.run(options)
    10:         begin
    11:           DRb.start_service
    12:           spec_server = DRbObject.new_with_uri("druby://localhost:8989")
    13:           spec_server.run(options.argv, options.error_stream, options.output_stream)
    14:         rescue DRb::DRbConnError => e
    15:           options.error_stream.puts "No server is running"
    16:         end
    17:       end

[Validate]